Bug 57875 - can use only 1 CPU on a Dual PPro
can use only 1 CPU on a Dual PPro
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-29 18:11 EST by Dieter Kasper
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 13:55:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages with redhat 6.2 which works OK (20.22 KB, text/plain)
2001-12-29 18:18 EST, Dieter Kasper
no flags Details

  None (edit)
Description Dieter Kasper 2001-12-29 18:11:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
if I am booting with 2.4.7-10smp or 2.4.7-10enterprise my Dual PPro
System the aic7xxx 5.2.4/5.2.0 runs into a endless loop, due to timeout

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. choose the 2.4.7-10smp Kernel		
2.
3.
	

Actual Results:  scsi 0:0:0 Aborting due to timeout
 ...       try harder
...
loop for ever
         

Expected Results:
Dec 29 22:24:31 basis kernel: (scsi0) <Adaptec AHA-294X
Ultra SCSI host adapter> found at PCI 0/12/0
Dec 29 22:24:31 basis kernel: (scsi0) Wide Channel, SCSI ID=7, 16/255 SCBs
Dec 29 22:24:31 basis kernel: (scsi0) Cables present (Int-50 YES, Int-68
YES, Ext-68 NO)
Dec 29 22:24:31 basis kernel: (scsi0) Downloading sequencer code... 436
instructions downloaded
Dec 29 22:24:31 basis kernel: scsi0 : Adaptec AHA274x/284x/294x
(EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
Dec 29 22:24:31 basis kernel:        <Adaptec AHA-294X Ultra SCSI host
adapter>
Dec 29 22:24:31 basis kernel: (scsi0:0:0:0) Synchronous at 20.0 Mbyte/sec,
offset 15.
Dec 29 22:24:31 basis kernel:   Vendor: WDIGTL    Model: ENTERPRISE       
Rev: 1.8T
Dec 29 22:24:31 basis kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Dec 29 22:24:31 basis kernel: (scsi0:0:1:0) Synchronous at 20.0 Mbyte/sec,
offset 15.
Dec 29 22:24:31 basis kernel:   Vendor: WDIGTL    Model: ENTERPRISE       
Rev: 1.8T
Dec 29 22:24:22 basis sysctl: kernel.sysrq = 0 
Dec 29 22:24:31 basis kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Dec 29 22:24:32 basis kernel:   Vendor: SEAGATE   Model: ST39140W         
Rev: 1444
Dec 29 22:24:32 basis kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Dec 29 22:24:32 basis kernel:   Vendor: SONY      Model: CD-ROM CDU-76S   
Rev: 1.1c
Dec 29 22:24:33 basis kernel:   Type:   CD-ROM                            
ANSI SCSI revision: 02
Dec 29 22:24:33 basis kernel:   Vendor: TANDBERG  Model:  TDC 3800        
Rev: =02:
Dec 29 22:24:33 basis kernel:   Type:   Sequential-Access                 
ANSI SCSI revision: 02
Dec 29 22:24:33 basis kernel: Attached scsi disk sda at scsi0, channel 0,
id 0, lun 0
Dec 29 22:24:33 basis kernel: Attached scsi disk sdb at scsi0, channel 0,
id 1, lun 0
Dec 29 22:24:33 basis kernel: Attached scsi disk sdc at scsi0, channel 0,
id 2, lun 0
D

Additional info:

The Kernel without smp (2.4.7-10) is working fine, but only with one CPU
:-((

Older Versions of redhat (5.x or 6.2) work with identical HW 
with my Dual PPro200 (from TYAN) since 3 years.

I build a Kernel of my own (2.4.7-10custom) with the new AIC7XXX 6.1.13.
The AIC7XXX loops through all SCSI targets without success.
The System comes up with 2 CPUs, but without a SCSI-Device.

/var/log/messages:
Dec 29 22:07:34 basis kernel: Processor #1 Pentium(tm) Pro APIC version 17
Dec 29 22:07:34 basis kernel: Processor #0 Pentium(tm) Pro APIC version 17
Dec 29 22:07:34 basis kernel: I/O APIC #2 Version 17 at 0xFEC00000.
Dec 29 22:07:34 basis kernel: Processors: 2
Dec 29 22:07:34 basis kernel: Kernel command line: BOOT_IMAGE=rh72custom ro
root=1608 BOOT_FILE=/boot/vmlinuz-2.4.7-10custom
Dec 29 22:07:34 basis kernel: Initializing CPU#0
Dec 29 22:07:34 basis kernel: Detected 199.435 MHz processor.
Dec 29 22:07:34 basis kernel: Console: colour VGA+ 80x25
Dec 29 22:07:34 basis kernel: Calibrating delay loop... 398.13 BogoMIPS
Dec 29 22:07:34 basis kernel: Memory: 188744k/196608k available (1691k
kernel code, 6064k reserved, 102k data, 208k init, 0k highmem)
Dec 29 22:07:34 basis kernel: Dentry-cache hash table entries: 32768
(order: 6, 262144 bytes)
Dec 29 22:07:34 basis kernel: Inode-cache hash table entries: 16384 (order:
5, 131072 bytes)
Dec 29 22:07:34 basis kernel: Mount-cache hash table entries: 4096 (order:
3, 32768 bytes)
Dec 29 22:07:34 basis kernel: Buffer-cache hash table entries: 16384
(order: 4, 65536 bytes)
Dec 29 22:07:34 basis kernel: Page-cache hash table entries: 65536 (order:
8, 1048576 bytes)
Dec 29 22:07:34 basis kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Dec 29 22:07:34 basis kernel: CPU: L2 cache: 256K
Dec 29 22:07:34 basis kernel: Intel machine check architecture supported.
Dec 29 22:07:34 basis kernel: Intel machine check reporting enabled on
CPU#0.
Dec 29 22:07:34 basis kernel: Checking 'hlt' instruction... OK.
Dec 29 22:07:34 basis kernel: POSIX conformance testing by UNIFIX
Dec 29 22:07:34 basis kernel: mtrr: v1.40 (20010327) Richard Gooch
(rgooch@atnf.csiro.au)
Dec 29 22:07:34 basis kernel: mtrr: detected mtrr type: Intel
Dec 29 22:07:34 basis kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Dec 29 22:07:34 basis kernel: CPU: L2 cache: 256K
Dec 29 22:07:34 basis kernel: Intel machine check reporting enabled on
CPU#0.
Dec 29 22:07:34 basis kernel: CPU0: Intel Pentium Pro stepping 07
Dec 29 22:07:34 basis kernel: per-CPU timeslice cutoff: 730.16 usecs.
Dec 29 22:07:34 basis kernel: enabled ExtINT on CPU#0
Dec 29 22:07:34 basis kernel: ESR value before enabling vector: 00000000
Dec 29 22:07:34 basis kernel: ESR value after enabling vector: 00000000
Dec 29 22:07:34 basis kernel: Booting processor 1/0 eip 2000
Dec 29 22:07:34 basis kernel: Initializing CPU#1
Dec 29 22:07:34 basis kernel: masked ExtINT on CPU#1
Dec 29 22:07:34 basis kernel: ESR value before enabling vector: 00000000
Dec 29 22:07:34 basis kernel: ESR value after enabling vector: 00000000
Dec 29 22:07:34 basis kernel: Calibrating delay loop... 398.13 BogoMIPS
Dec 29 22:07:34 basis kernel: CPU: L1 I cache: 8K, L1 D cache: 8K
Dec 29 22:07:34 basis kernel: CPU: L2 cache: 256K
Dec 29 22:07:34 basis kernel: Intel machine check reporting enabled on
CPU#1.
Dec 29 22:07:34 basis kernel: CPU1: Intel Pentium Pro stepping 07
Dec 29 22:07:34 basis kernel: Total of 2 processors activated (796.26
BogoMIPS).

(...)
Dec 29 22:07:35 basis kernel: scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA
DRIVER, Rev 6.1.13
Dec 29 22:07:35 basis kernel:         <Adaptec 2940 Ultra SCSI adapter>
Dec 29 22:07:35 basis kernel:         aic7880: Ultra Wide Channel A, SCSI
Id=7, 16/255 SCBs
Dec 29 22:07:35 basis kernel:
Dec 29 22:07:35 basis kernel: scsi0:0:0:0: Attempting to queue an ABORT
message
Dec 29 22:07:35 basis kernel: scsi0:0:0:0: Device is active, asserting ATN
Dec 29 22:07:35 basis kernel: Recovery code sleeping
Dec 29 22:07:35 basis kernel: Recovery code awake
Dec 29 22:07:35 basis kernel: Timer Expired
Dec 29 22:07:35 basis kernel: aic7xxx_abort returns 8195
Dec 29 22:07:35 basis kernel: scsi0:0:0:0: Attempting to queue a TARGET
RESET message
Dec 29 22:07:35 basis kernel: aic7xxx_dev_reset returns 8195
Dec 29 22:07:35 basis kernel: Recovery SCB completes
Dec 29 22:07:35 basis kernel: scsi0:0:0:0: Attempting to queue an ABORT
message
Dec 29 22:07:35 basis kernel: ahc_intr: HOST_MSG_LOOP bad phase 0x0
Dec 29 22:07:35 basis kernel: scsi0:0:0:0: Cmd aborted from QINFIFO
Dec 29 22:07:35 basis kernel: aic7xxx_abort returns 8194
Dec 29 22:07:35 basis kernel: scsi: device set offline - not ready or
command retry failed after bus reset: host 0 channel 0 id 0 lun 0
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Attempting to queue an ABORT
message
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Device is active, asserting ATN
Dec 29 22:07:35 basis kernel: Recovery code sleeping
Dec 29 22:07:35 basis kernel: Recovery code awake
Dec 29 22:07:35 basis kernel: aic7xxx_abort returns 8194
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Attempting to queue an ABORT
message
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Command found on device queue
Dec 29 22:07:35 basis kernel: aic7xxx_abort returns 8194
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Attempting to queue a TARGET
RESET message
Dec 29 22:07:35 basis kernel: aic7xxx_dev_reset returns 8195
Dec 29 22:07:35 basis kernel: Recovery SCB completes
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Attempting to queue an ABORT
message
Dec 29 22:07:35 basis kernel: ahc_intr: HOST_MSG_LOOP bad phase 0x0
Dec 29 22:07:35 basis kernel: scsi0:0:1:0: Cmd aborted from QINFIFO
Dec 29 22:07:35 basis kernel: aic7xxx_abort returns 8194
Dec 29 22:07:35 basis kernel: scsi: device set offline - not ready or
command retry failed after bus reset: host 0 channel 0 id 1 lun 0
Dec 29 22:07:35 basis kernel: scsi0:0:2:0: Attempting to queue an ABORT
message

(...)
Dec 29 22:07:37 basis kernel: scsi0:0:15:0: Attempting to queue an ABORT
message
Dec 29 22:07:37 basis kernel: scsi0:0:15:0: Command already completed
Dec 29 22:07:37 basis kernel: aic7xxx_abort returns 8194
Dec 29 22:07:37 basis kernel: scsi: device set offline - not ready or
command retry failed after bus reset: host 0 channel 0 id 15 lun 0
Dec 29 22:07:38 basis kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Comment 1 Dieter Kasper 2001-12-29 18:18:26 EST
Created attachment 41470 [details]
/var/log/messages with redhat 6.2 which works OK
Comment 2 Arjan van de Ven 2002-01-04 06:52:45 EST
Hmmm. One of my testmachines is a dual PPro and works fine...... weird
Is this a compaq machine by chance ?
Comment 3 Dieter Kasper 2002-01-06 15:30:40 EST
It's no Compaq. It has a motherboard from TYAN
http://www.tyan.com/products/html/a_titanproat.html
I will also look for the BIOS-Version of the motherboard and the AHA2940UW.
Comment 4 Dieter Kasper 2002-01-07 16:00:22 EST
The BIOS is from award V4.51PG
TYAN V2.2 6/24/96
AHA2940UW v1.23
Comment 5 Dieter Kasper 2002-01-08 02:04:20 EST
I tried the kernel from rh71 and it come up with 2 CPUs and the AHA2940UW !

/var/log/messages:
Jan  7 21:44:47 basis kernel: Linux version 2.4.2-2enterprise
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1
2.96-79)) #1 SMP Sun Apr 8 20:01:03 EDT 2001
Jan  7 21:44:47 basis kernel: BIOS-provided physical RAM map:
Jan  7 21:44:47 basis kernel:  BIOS-e820: 000000000009fc00 @ 0000000000000000
(usable)
Jan  7 21:44:47 basis kernel:  BIOS-e820: 0000000000000400 @ 000000000009fc00
(usable)
Jan  7 21:44:47 basis kernel:  BIOS-e820: 0000000000010000 @ 00000000000f0000
(reserved)
Jan  7 21:44:47 basis kernel:  BIOS-e820: 000000000bf00000 @ 0000000000100000
(usable)
Jan  7 21:44:47 basis kernel:  BIOS-e820: 0000000000001000 @ 00000000fec00000
(reserved)
Jan  7 21:44:47 basis kernel:  BIOS-e820: 0000000000001000 @ 00000000fee00000
(reserved)
Jan  7 21:44:47 basis kernel:  BIOS-e820: 0000000000010000 @ 00000000ffff0000
(reserved)
Jan  7 21:44:47 basis kernel: hm, page 00001000 reserved twice.
Jan  7 21:44:47 basis kernel: Scan SMP from c0000000 for 1024 bytes.
Jan  7 21:44:47 basis syslog: klogd startup succeeded
Jan  7 21:44:47 basis kernel: Scan SMP from c009fc00 for 1024 bytes.
Jan  7 21:44:47 basis kernel: Scan SMP from c00f0000 for 65536 bytes.
Jan  7 21:44:47 basis kernel: found SMP MP-table at 000f08c0
Jan  7 21:44:47 basis kernel: hm, page 000f0000 reserved twice.
Jan  7 21:44:47 basis kernel: hm, page 000f1000 reserved twice.
Jan  7 21:44:47 basis kernel: hm, page 000f2000 reserved twice.
Jan  7 21:44:47 basis kernel: hm, page 000f0000 reserved twice.
Jan  7 21:44:47 basis kernel: hm, page 000f1000 reserved twice.
Jan  7 21:44:47 basis kernel: hm, page 000f2000 reserved twice.
Jan  7 21:44:47 basis kernel: On node 0 totalpages: 49152
Jan  7 21:44:47 basis kernel: zone(0): 4096 pages.
Jan  7 21:44:47 basis kernel: zone DMA has max 32 cached pages.
Jan  7 21:44:47 basis kernel: zone(1): 45056 pages.
Jan  7 21:44:47 basis kernel: zone Normal has max 352 cached pages.
Jan  7 21:44:47 basis kernel: zone(2): 0 pages.
Jan  7 21:44:47 basis kernel: zone HighMem has max 1 cached pages.
Jan  7 21:44:47 basis kernel: Intel MultiProcessor Specification v1.1
Jan  7 21:44:47 basis kernel:     Virtual Wire compatibility mode.
Jan  7 21:44:47 basis kernel: OEM ID: OEM00000 Product ID: PROD00000000 APIC at:
0xFEE00000
Jan  7 21:44:47 basis kernel: Processor #1 Pentium(tm) Pro APIC version 17
Jan  7 21:44:47 basis kernel:     Floating point unit present.
Jan  7 21:44:47 basis kernel:     Machine Exception supported.
Jan  7 21:44:47 basis kernel:     64 bit compare & exchange supported.
Jan  7 21:44:47 basis kernel:     Internal APIC present.
Jan  7 21:44:47 basis kernel:     SEP present.
Jan  7 21:44:47 basis kernel:     MTRR  present.
Jan  7 21:44:47 basis kernel:     PGE  present.
Jan  7 21:44:47 basis kernel:     MCA  present.
Jan  7 21:44:47 basis kernel:     CMOV  present.
Jan  7 21:44:47 basis kernel:     Bootup CPU
Jan  7 21:44:47 basis kernel: Processor #0 Pentium(tm) Pro APIC version 17
Jan  7 21:44:47 basis kernel:     Floating point unit present.
Jan  7 21:44:47 basis kernel:     Machine Exception supported.
Jan  7 21:44:47 basis kernel:     64 bit compare & exchange supported.
Jan  7 21:44:47 basis kernel:     Internal APIC present.
Jan  7 21:44:47 basis kernel:     SEP present.
Jan  7 21:44:47 basis kernel:     MTRR  present.
Jan  7 21:44:47 basis kernel:     PGE  present.
Jan  7 21:44:47 basis kernel:     MCA  present.
Jan  7 21:44:47 basis kernel:     CMOV  present.
Jan  7 21:44:47 basis kernel: Bus #0 is ISA
Jan  7 21:44:47 basis kernel: Bus #1 is PCI
Jan  7 21:44:47 basis kernel: I/O APIC #2 Version 17 at 0xFEC00000.
(...)
Jan  7 21:44:47 basis kernel: ttyS00 at 0x03f8 (irq = 4) is a 16550A
Jan  7 21:44:47 basis kernel: ttyS01 at 0x02f8 (irq = 3) is a 16550A
Jan  7 21:44:47 basis kernel: Real Time Clock Driver v1.10d
Jan  7 21:44:47 basis kernel: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
Jan  7 21:44:47 basis kernel: md.c: sizeof(mdp_super_t) = 4096
Jan  7 21:44:47 basis kernel: autodetecting RAID arrays
Jan  7 21:44:47 basis kernel: autorun ...
Jan  7 21:44:47 basis kernel: ... autorun DONE.
Jan  7 21:44:47 basis kernel: NET4: Linux TCP/IP 1.0 for NET4.0
Jan  7 21:44:47 basis kernel: IP Protocols: ICMP, UDP, TCP, IGMP
Jan  7 21:44:47 basis kernel: IP: routing cache hash table of 2048 buckets,
16Kbytes
Jan  7 21:44:47 basis kernel: TCP: Hash tables configured (established 16384
bind 16384)
Jan  7 21:44:47 basis kernel: Linux IP multicast router 0.06 plus PIM-SM
Jan  7 21:44:47 basis kernel: NET4: Unix domain sockets 1.0/SMP for Linux
NET4.0.
Jan  7 21:44:47 basis kernel: VFS: Mounted root (ext2 filesystem) readonly.
Jan  7 21:44:47 basis kernel: Freeing unused kernel memory: 252k freed
Jan  7 21:44:47 basis kernel: Adding Swap: 497972k swap-space (priority -1)
Jan  7 21:44:47 basis kernel: Adding Swap: 403192k swap-space (priority -2)
Jan  7 21:44:47 basis kernel: SCSI subsystem driver Revision: 1.00
Jan  7 21:44:47 basis kernel: (scsi0) <Adaptec AHA-294X Ultra SCSI host adapter>
found at PCI 0/12/0
Jan  7 21:44:47 basis kernel: (scsi0) Wide Channel, SCSI ID=7, 16/255 SCBs
Jan  7 21:44:47 basis kernel: (scsi0) Cables present (Int-50 YES, Int-68 YES,
Ext-68 NO)
Jan  7 21:44:47 basis kernel: (scsi0) Downloading sequencer code... 436
instructions downloaded
Jan  7 21:44:47 basis kernel: scsi0 : Adaptec AHA274x/284x/294x
(EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
Jan  7 21:44:47 basis kernel:        <Adaptec AHA-294X Ultra SCSI host adapter>
Jan  7 21:44:47 basis kernel: (scsi0:0:0:0) Synchronous at 20.0 Mbyte/sec,
offset 15.
Jan  7 21:44:47 basis kernel:   Vendor: WDIGTL    Model: ENTERPRISE        Rev:
1.8T
Jan  7 21:44:47 basis kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Jan  7 21:44:47 basis kernel: (scsi0:0:1:0) Synchronous at 20.0 Mbyte/sec,
offset 15.
Jan  7 21:44:47 basis kernel:   Vendor: WDIGTL    Model: ENTERPRISE        Rev:
1.8T
Jan  7 21:44:47 basis kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Jan  7 21:44:47 basis kernel:   Vendor: SEAGATE   Model: ST39140W          Rev:
1444
Jan  7 21:44:47 basis kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Jan  7 21:44:47 basis kernel:   Vendor: SONY      Model: CD-ROM CDU-76S    Rev:
1.1c
Jan  7 21:44:47 basis kernel:   Type:   CD-ROM                             ANSI
SCSI revision: 02
Jan  7 21:44:47 basis kernel:   Vendor: TANDBERG  Model:  TDC 3800         Rev:
=02:
Jan  7 21:44:47 basis kernel:   Type:   Sequential-Access                  ANSI
SCSI revision: 02
Jan  7 21:44:47 basis kernel: scsi : 0 hosts left.
Jan  7 21:44:47 basis kernel: Winbond Super-IO detection, now testing ports
3F0,370,250,4E,2E ...
Jan  7 21:44:47 basis kernel: SMSC Super-IO detection, now testing Ports 2F0,
370 ...
Jan  7 21:44:47 basis kernel: SMSC chip at EFER=0x3f0 key=0x55 devid=65
devrev=82
Jan  7 21:44:47 basis kernel: SMSC chip type 37c665IR
Jan  7 21:44:47 basis kernel: parport0: PC-style at 0x378 [PCSPP]
Jan  7 21:44:47 basis kernel: parport0: irq 5 detected

Comment 6 Arjan van de Ven 2002-01-08 09:26:47 EST
Ok call me stumped... ;)
(Btw the -enterprise kernel is for pentium III and later only so won't actually
work)

one thing that might be worth a try: the i586 smp kernel.
Comment 7 Dieter Kasper 2002-01-08 14:43:04 EST
The kernel-smp-2.4.7-10.i586.rpm shows the same bad behavior like the
2.4.7-10enterprise.
The kernel-smp-2.4.2-2.i686.rpm works OK like the 2.4.2-2enterprise.
So there must be an error occured between 2.4.2 and 2.4.7:

---snip---
egrep -i 'smp|ChangeLog-2.4.1: - Trond Myklebust: NFS/RPC client SMP fixes
ChangeLog-2.4.1: - fix n_tty "canon" mode SMP race
ChangeLog-2.4.1: - FAT fat_cache SMP race fix
ChangeLog-2.4.2: - Neil Brown: raid5 SMP locking cleanups
ChangeLog-2.4.3:  - Justin Gibbs: new and much improved aic7xxx driver 6.1.5
ChangeLog-2.4.3:  - Andrea Arkangeli: make SMP Athlon build
ChangeLog-2.4.3:  - Alexander Zarochentcev: reiserfs directory fsync SMP locking
fix
ChangeLog-2.4.5: - Matt Chapman: NFS file locking SMP lock fix
ChangeLog-2.4.5: - Justin Gibbs: aic7xxx driver update to 6.1.13.
ChangeLog-2.4.6: - Andrey Savochkin: file locking failure case SMP lock fix
ChangeLog-2.4.7: - David Miller: fix SMP pktsched bootup deadlock
(CONFIG_NET_SCHED)
ChangeLog-2.4.7: - me: fix more buffer head SMP races (non-x86 only - weak
memory ordering)
ChangeLog-2.4.8: - James Washer: LDT loading SMP bug fix
ChangeLog-2.4.10: - John Byrne: fix stupid i386-SMP irq stack layout bug
ChangeLog-2.4.11: - Peter Rival: update alpha SMP bootup to match wait_init_idle
fixes
ChangeLog-2.4.13: - Andrea Arcangeli: revert broken x86 smp_call_function patch
ChangeLog-2.4.15: - Jan Kara: fix quota SMP races with BKL
ChangeLog-2.4.15: - Ingo/me: fix SCHED_FIFO for UP/SMP for good (flw).
~aic' Chan*
---snip---
/var/log/messages of 2.4.2-smp
Jan  8 19:26:55 basis kernel: Linux version 2.4.2-2smp
(root@porky.devel.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.1
2.96-79)) #1 SMP Sun Apr 8 20:21:34 EDT 2001
Jan  8 19:26:55 basis kernel: BIOS-provided physical RAM map:
Jan  8 19:26:55 basis kernel:  BIOS-e820: 000000000009fc00 @ 0000000000000000
(usable)
Jan  8 19:26:55 basis kernel:  BIOS-e820: 0000000000000400 @ 000000000009fc00
(usable)
Jan  8 19:26:55 basis kernel:  BIOS-e820: 0000000000010000 @ 00000000000f0000
(reserved)
Jan  8 19:26:55 basis kernel:  BIOS-e820: 000000000bf00000 @ 0000000000100000
(usable)
Jan  8 19:26:55 basis kernel:  BIOS-e820: 0000000000001000 @ 00000000fec00000
(reserved)
Jan  8 19:26:55 basis kernel:  BIOS-e820: 0000000000001000 @ 00000000fee00000
(reserved)
Jan  8 19:26:55 basis kernel:  BIOS-e820: 0000000000010000 @ 00000000ffff0000
(reserved)
Jan  8 19:26:55 basis kernel: hm, page 00001000 reserved twice.
Jan  8 19:26:55 basis kernel: Scan SMP from c0000000 for 1024 bytes.
Jan  8 19:26:55 basis kernel: Scan SMP from c009fc00 for 1024 bytes.
Jan  8 19:26:55 basis kernel: Scan SMP from c00f0000 for 65536 bytes.
Jan  8 19:26:55 basis kernel: found SMP MP-table at 000f08c0
Jan  8 19:26:55 basis kernel: hm, page 000f0000 reserved twice.
Jan  8 19:26:55 basis kernel: hm, page 000f1000 reserved twice.
Jan  8 19:26:55 basis kernel: hm, page 000f2000 reserved twice.
Jan  8 19:26:55 basis kernel: hm, page 000f0000 reserved twice.
Jan  8 19:26:55 basis kernel: hm, page 000f1000 reserved twice.
Jan  8 19:26:55 basis kernel: hm, page 000f2000 reserved twice.
Jan  8 19:26:55 basis kernel: On node 0 totalpages: 49152
Jan  8 19:26:55 basis kernel: zone(0): 4096 pages.
Jan  8 19:26:55 basis kernel: zone DMA has max 32 cached pages.
Jan  8 19:26:55 basis kernel: zone(1): 45056 pages.
Jan  8 19:26:55 basis kernel: zone Normal has max 352 cached pages.
Jan  8 19:26:55 basis kernel: zone(2): 0 pages.
Jan  8 19:26:55 basis kernel: zone HighMem has max 1 cached pages.
Jan  8 19:26:55 basis kernel: Intel MultiProcessor Specification v1.1
Jan  8 19:26:55 basis kernel:     Virtual Wire compatibility mode.
Jan  8 19:26:55 basis kernel: OEM ID: OEM00000 Product ID: PROD00000000 APIC at:
0xFEE00000
Jan  8 19:26:55 basis kernel: Processor #1 Pentium(tm) Pro APIC version 17
Jan  8 19:26:55 basis kernel:     Floating point unit present.
Jan  8 19:26:55 basis kernel:     Machine Exception supported.
Jan  8 19:26:55 basis kernel:     64 bit compare & exchange supported.
Jan  8 19:26:55 basis kernel:     Internal APIC present.
Jan  8 19:26:55 basis kernel:     SEP present.
Jan  8 19:26:55 basis kernel:     MTRR  present.
Jan  8 19:26:55 basis kernel:     PGE  present.
Jan  8 19:26:55 basis kernel:     MCA  present.
Jan  8 19:26:55 basis kernel:     CMOV  present.
Jan  8 19:26:55 basis kernel:     Bootup CPU
Jan  8 19:26:55 basis kernel: Processor #0 Pentium(tm) Pro APIC version 17
Jan  8 19:26:55 basis kernel:     Floating point unit present.
Jan  8 19:26:55 basis kernel:     Machine Exception supported.
Jan  8 19:26:55 basis kernel:     64 bit compare & exchange supported.
Jan  8 19:26:55 basis kernel:     Internal APIC present.
Jan  8 19:26:55 basis kernel:     SEP present.
Jan  8 19:26:55 basis kernel:     MTRR  present.
Jan  8 19:26:55 basis kernel:     PGE  present.
Jan  8 19:26:55 basis kernel:     MCA  present.
Jan  8 19:26:55 basis kernel:     CMOV  present.
Jan  8 19:26:55 basis kernel: Bus #0 is ISA
Jan  8 19:26:55 basis kernel: Bus #1 is PCI
Jan  8 19:26:55 basis kernel: I/O APIC #2 Version 17 at 0xFEC00000.
(...)

Jan  8 19:26:55 basis kernel: Adding Swap: 497972k swap-space (priority -1)
Jan  8 19:26:55 basis kernel: Adding Swap: 403192k swap-space (priority -2)
Jan  8 19:26:55 basis kernel: SCSI subsystem driver Revision: 1.00
Jan  8 19:26:55 basis kernel: (scsi0) <Adaptec AHA-294X Ultra SCSI host adapter>
found at PCI 0/12/0
Jan  8 19:26:55 basis kernel: (scsi0) Wide Channel, SCSI ID=7, 16/255 SCBs
Jan  8 19:26:55 basis kernel: (scsi0) Cables present (Int-50 YES, Int-68 YES,
Ext-68 NO)
Jan  8 19:26:55 basis kernel: (scsi0) Downloading sequencer code... 436
instructions downloaded
Jan  8 19:26:55 basis kernel: scsi0 : Adaptec AHA274x/284x/294x
(EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
Jan  8 19:26:55 basis kernel:        <Adaptec AHA-294X Ultra SCSI host adapter>
Jan  8 19:26:55 basis kernel: (scsi0:0:0:0) Synchronous at 20.0 Mbyte/sec,
offset 15.
Jan  8 19:26:55 basis kernel:   Vendor: WDIGTL    Model: ENTERPRISE        Rev:
1.8T
Jan  8 19:26:55 basis kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Jan  8 19:26:55 basis kernel: (scsi0:0:1:0) Synchronous at 20.0 Mbyte/sec,
offset 15.
Jan  8 19:26:55 basis kernel:   Vendor: WDIGTL    Model: ENTERPRISE        Rev:
1.8T
Jan  8 19:26:55 basis kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Jan  8 19:26:55 basis kernel:   Vendor: SEAGATE   Model: ST39140W          Rev:
1444
Jan  8 19:26:55 basis kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Jan  8 19:26:55 basis kernel:   Vendor: SONY      Model: CD-ROM CDU-76S    Rev:
1.1c
Jan  8 19:26:55 basis kernel:   Type:   CD-ROM                             ANSI
SCSI revision: 02
Jan  8 19:26:55 basis kernel:   Vendor: TANDBERG  Model:  TDC 3800         Rev:
=02:
Jan  8 19:26:55 basis kernel:   Type:   Sequential-Access                  ANSI
SCSI revision: 02
Jan  8 19:26:55 basis kernel: Attached scsi disk sda at scsi0, channel 0, id 0,
lun 0
Jan  8 19:26:55 basis kernel: Attached scsi disk sdb at scsi0, channel 0, id 1,
lun 0
Jan  8 19:26:55 basis kernel: Attached scsi disk sdc at scsi0, channel 0, id 2,
lun 0
Jan  8 19:26:55 basis kernel: SCSI device sda: 8515173 512-byte hdwr sectors
(4360 MB)
Jan  8 19:26:55 basis kernel:  sda: sda4
Jan  8 19:26:55 basis kernel: SCSI device sdb: 8515173 512-byte hdwr sectors
(4360 MB)
Jan  8 19:26:55 basis kernel:  sdb: sdb4
Jan  8 19:26:55 basis kernel: (scsi0:0:2:0) Synchronous at 40.0 Mbyte/sec,
offset 8.
Jan  8 19:26:55 basis kernel: SCSI device sdc: 17783240 512-byte hdwr sectors
(9105 MB)
Jan  8 19:26:55 basis kernel:  sdc: sdc1
Jan  8 19:26:55 basis kernel: Winbond Super-IO detection, now testing ports
3F0,370,250,4E,2E ...
Jan  8 19:26:55 basis kernel: SMSC Super-IO detection, now testing Ports 2F0,
370 ...
Comment 8 Alan Cox 2002-01-08 14:58:39 EST
None of the changes you suggest looks relevant.

Can you try booting with "noapic" and also see which kernel is the one that
breaks it. Without knowing which specific kernel its going to be near impossible
to find the problem

Note You need to log in before you can comment on or make changes to this bug.